import {BimShowTime} from './index';
import {Subject} from '@reactivex/rxjs/dist/package';
import {PickResult} from '@xeokit/xeokit-sdk';

export class BstEvent {
    mouseClick: Subject<any> = new Subject<PickResult>();
    marqueePicked: Subject<Array<string>> = new Subject<Array<string>>();

    constructor(private bst: BimShowTime) {
        let input = bst.viewer.scene.input;
        input.on('mouseclicked', (coords) => {
            const pickResult = bst.viewer.scene.pick({
                canvasPos: coords,
                pickSurface: true
            });
            if (pickResult) {
                // this.bst.viewer.scene.setObjectsSelected(this.bst.viewer.scene.selectedObjectIds, false);
                // this.bst.viewer.scene.setObjectsSelected([pickResult.entity.id.toString()], true);
                this.mouseClick.next(pickResult);
            }
        })

    }
}
