import {MetaObject, Viewer} from '@xeokit/xeokit-sdk';
import {BimShowTime} from './index';

/**
 * 模型构件树信息
 */
export class BstObjectTree {
    viewer: Viewer;

    constructor(private bst: BimShowTime) {
        this.viewer = bst.viewer;
    }

    /**
     * 获取所有已经加载的构件
     */
    getAllObject(): { [p: string]: MetaObject } {
        return this.viewer.metaScene.metaObjects;
    }

    /**
     * 获取所有已经加载模型的构件树信息
     */
    getAllObjectTree(): { [key: string]: { [key: string]: MetaObject; }; } {
        return this.viewer.metaScene.metaObjectsByType;
    }
}
