import {BimShowTime} from './index';
import {BCFViewpointsPlugin} from '@xeokit/xeokit-sdk';

export class BstSnapShot {

    private bcfViewpoints: BCFViewpointsPlugin;

    public constructor(private bst: BimShowTime) {
        this.bcfViewpoints = new BCFViewpointsPlugin(bst.viewer);
    }

    /**
     * 创建当前视图的快照
     */
    public create() {
        const viewpoint = this.bcfViewpoints.getViewpoint();
        let jsonData = JSON.stringify(viewpoint);
        return btoa(jsonData);
    }

    /**
     * 使用数据恢复视图快照
     * @param snapshot 快照字符串
     */
    public restore(snapshot: string) {
        let jsonString = atob(snapshot);
        let jsonData = JSON.parse(jsonString);
        this.bcfViewpoints.setViewpoint(jsonData);
    }

}
