const path = require('path');
const isProduction = process.env.NODE_ENV == 'production';
const config = {
    entry: './src/index.ts', output: {
        path: path.resolve(__dirname, 'dist'), filename: 'bim-show-time.es.js'
    }, plugins: [], module: {
        rules: [{
            test: /\.(ts|tsx)$/i, loader: 'ts-loader', exclude: ['/node_modules/'],
        }, {
            test: /\.(eot|svg|ttf|woff|woff2|png|jpg|gif)$/i, type: 'asset',
        }],
    }, resolve: {
        extensions: ['.tsx', '.ts', '.jsx', '.js', '...'], alias: {
            'asciify-image': false
        }
    },
};

module.exports = () => {
    if (isProduction) {
        config.mode = 'production';
    } else {
        config.mode = 'development';
    }
    return config;
};
